Bug 15397 - trimpcitable needs to keep subsystem vendor/device IDs
trimpcitable needs to keep subsystem vendor/device IDs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 11:07 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-04 11:07:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-08-04 11:07:04 EDT
Nice catch Florian.

Matt, this should be fixed in RC1.

Erik

On Fri, 4 Aug 2000, Florian Laroche wrote:

> > Seems like anaconda doesn't put any sub{vendor,device}ids into 
the "pcitable"
> > on the bootdisk and that's why the controller is not detected properly 
and
> > "cpqarray" gets loaded.
> 
> I will check in the following patch which should fix this:
> --- trimpcitable        2000/07/26 19:48:00     1.4
> +++ trimpcitable        2000/08/04 09:37:11
> @@ -8,7 +8,7 @@
>  while (<STDIN>) {
>      chop;
>      @a = split;
> -    if ($mods{$a[2]}) {
> +    if ($mods{$a[2]} || $mods{$a[4]}) {
>         print "$_\n";
>      } elsif ($_ =~ /Card:Intel.*81[05]/) {
>         print "$_\n";
> 
> cu,
> 
> Florian La Roche
> 
>

Note You need to log in before you can comment on or make changes to this bug.